Subject: Re: [net-next PATCH v6 3/3] net: phy: add support for PHY package MMD read/write

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 13 Dec 2023 15:47:19 +0000

On Wed, Dec 13, 2023 at 11:57:30AM +0100, Christian Marangi wrote:
> Some PHY in PHY package may require to read/write MMD regs to correctly
> configure the PHY package.
> 
> Add support for these additional required function in both lock and no
> lock variant.
> 
> It's assumed that the entire PHY package is either C22 or C45. We use
> C22 or C45 way of writing/reading to mmd regs based on the passed phydev
> whether it's C22 or C45.
> 
> Signed-off-by: Christian Marangi <[email-masked]>

I don't recall what has been said in previous postings of this, but
introducing new helpers without an example user is normally frowned
upon. The lack of cover message for this three patch series also
doesn't help (the cover message could explain why there's no users
being proposed with this addition of helpers.)

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!